#
# spec file for package libretro-craft
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-craft
Version:        1.0~git20190627
Release:        lp152.1.3
Summary:        Craft libretro core
License:        GPL-3.0
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz
Patch1:         tinycthread.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  Mesa-devel

%description
Minecraft clone for Windows, Mac OS X and Linux. Just a few thousand lines of C using modern OpenGL (shaders). Online multiplayer support is included using a Python-based server.

This package is for RetroArch/libretro front-end.

%prep
%setup -q
%patch1 -p1

%build
make -f Makefile.libretro

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp craft_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/craft_libretro.so

%changelog
* Tue Oct 22 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
